Subject: [Shop-talk] dryer squeak

From: "Tim ." <[email-masked]>
Date: Sat, 1 Nov 2014 15:23:02 -0500 FILETIME=[A377AD40:01CFF611]

Hi all

I have a Frigidaire electric dryer that is nine years old. And it squeaks like
bastard now. I opened it up and do not see any wear marks anywhere that would
show a rub. I replaced the belt and it didn't solve it. Thankfully belts are
cheap.

I am far from an appliance repair man and have no clue what else to check. I
can't see how to access the spot where the drum is mounted to the back panel
but what are the chances that this is the spot that is squeaking? Or can the
motor squeak?

Thanks
tim
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive